
.title-text-filters {
	font-family: "Roboto Slab", serif;
	font-size: 25px;
	color: #E85900;
	font-weight: 800;
}

.button-filter {
	width: 100%;
	background-color: #F6EFE7;
	text-align: center;
	height: 49px;
	font-weight: 800;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 18px;
	color: #E65C25;
	border-radius: 9px;
	display: inline-flex;
	transition: all 0.2s ease;
}

/* stato checked */
.button-filter:has(input:checked) {
	background: #E65C25;
	color: #F6EFE7;
	border-color: #E65C25;
}

.button-filter:hover {
	background: #E65C25;
	color: #F6EFE7;
	border-color: #E65C25;
	cursor: pointer;
}

/* opzionale: nascondi checkbox */
.button-filter input {
	display: none;
}

.col-sx {
	padding-right: 7px;
}

.col-dx {
	padding-left: 7px;
}

.range-filter-box {
	background: #F6EFE7;
	border-radius: 9px;
	padding: 20px 30px 18px;
	position: relative;
}

.range-labels {
	position: relative;
	height: 25px;
	margin-bottom: 0;
}

.range-labels span {
	position: absolute;
	top: 0;
	transform: translateX(-50%);
	font-size: 18px;
	line-height: 1;
	color: #eb620f;
	font-weight: 500;
	white-space: nowrap;
}

.range-line-wrap {
	position: relative;
	height: 52px;
}

.range-line {
	position: absolute;
	left: 28px;
	right: 28px;
	top: 50%;
	transform: translateY(-50%);
	height: 4px;
	background: #eb620f;
	border-radius: 999px;
}

.range-tick {
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 4px;
	height: 26px;
	background: #eb620f;
	border-radius: 999px;
	z-index: 1;
}

.range-slider-custom {
	-webkit-appearance: none;
	appearance: none;
	position: absolute;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
	width: 100%;
	height: 44px;
	background: transparent;
	margin: 0;
	z-index: 2;
	cursor: pointer;
}

/* Webkit track */
.range-slider-custom::-webkit-slider-runnable-track {
	height: 4px;
	background: transparent;
	border: 0;
}

/* Webkit thumb */
.range-slider-custom::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 95px;
	height: 35px;
	border-radius: 999px;
	background: #eb620f;
	border: 0;
	margin-top: -20px;
	box-shadow: none;
}

/* Firefox track */
.range-slider-custom::-moz-range-track {
	height: 4px;
	background: transparent;
	border: 0;
}

/* Firefox thumb */
.range-slider-custom::-moz-range-thumb {
	width: 95px;
	height: 35px;
	border-radius: 999px;
	background: #eb620f;
	border: 0;
	box-shadow: none;
}

/* focus */
.range-slider-custom:focus {
	outline: none;
}

.col-Rangeslider {
	padding-right: 5px;
}

.col-input {
	padding-left: 5px;
}

#Filters {
	padding-left: 2px;
	padding-right: 2px;
}

.button-apply-filter {
	background-color: #1353B7;
	height: 49px;
	display: flex;
	max-width: 520px;
	justify-content: center;
	align-items: center;
	color: #fff;
	font-size: 18px;
	font-weight: 800;
	border-radius: 9px;
	width: 100%;
	display: none;
}


.button-mobile-filter {display: none;}

.box-button-filter {
	float: left;
	width: 100%;
}


@media screen and (max-width: 1600px) {

	#Filters {
	  padding-left: 15px;
	  padding-right: 15px;
	}
	
}


@media screen and (max-width: 1050px) { 
	
	#Filters .col-Rangeslider {width: 100%; max-width: 100%; margin-bottom: 20px;}
	
	.col-Rangeslider {padding-left: 15px; padding-right: 15px;}
	
	#Filters .col-input {width: 100%; max-width: 100%;}
	
	.col-input {padding-left: 15px; padding-right: 15px;}
	
}

@media screen and (max-width: 600px) {
	
	.button-mobile-filter {display: block; max-width: 85px!important; margin-bottom: 20px;} 
	
	.box-button-filter {display: none; height: 610px;}
	
	#Filters .col-Rangeslider {
		width: 50%;
		max-width: 50%;
		height: 610px;
	}
	
	#Filters .col-input {
		width: 50%;
		max-width: 50%;
		height: 610px;
	} 
	
	.col-dx {
	  padding-left: 0;
	} 
	
	.col-sx {
	  padding-right: 0;
	} 
	
	.col-input .col-50 {width: 100%; max-width: 100%;}
	
	.button-apply-filter {display: flex; float: left;}
	
	.hide-mobile-title-filters {display: none;}
	
	.height-mobile-filters {height: calc(20% - 13px);}
	
	.filters-tech-wrap {height: 100%;}
	
	.button-filter {height: 100%;}
	
	
	
	
	
	.range-filter-box {
		background: #F6EFE7;
		border-radius: 9px;
		padding: 24px 20px;
		position: relative;
	}
	
	.range-labels {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 24px;
		height: auto;
		margin: 0;
	}
	
	.range-labels span {
		position: absolute;
		left: 58%;
		transform: translateY(50%);
		font-size: 18px;
		line-height: 1;
		color: #eb620f;
		font-weight: 500;
		white-space: nowrap;
	}
	
	.range-labels span:nth-child(1) {
		top: 86%;
		left: 55%!important;
	}
	
	.range-labels span:nth-child(2) {
		top: 68%;
		left: 55%!important;
	}
	
	.range-labels span:nth-child(3) {
		top:48%;
		left: 55%!important;
	}
	
	.range-labels span:nth-child(4) {
		top: 30%;
		left: 55%!important;
	}
	
	.range-labels span:nth-child(5) {
		top: 11%;
		left: 55%!important;
	}
	
	.range-line-wrap {
		position: relative;
		width: 100%;
		height: 100%;
		min-height: 560px;
	}
	
	.range-line {
		position: absolute;
		top: 30px;
		bottom: 30px;
		left: 15%;
		width: 6px;
		background: #eb620f;
		border-radius: 999px;
		transform: translateX(-50%);
		height: 500px;
	}
	
	.range-tick {
		position: absolute;
		left: 15%;
		transform: translate(-50%, 50%);
		width: 46px;
		height: 3px;
		background: #eb620f;
		border-radius: 999px;
		z-index: 1;
	}
	
	.range-tick:nth-of-type(1) { top: 88%; left: 15%!important;}
	.range-tick:nth-of-type(2) { top: 69%; left: 15%!important;}
	.range-tick:nth-of-type(3) { top: 49%; left: 15%!important;}
	.range-tick:nth-of-type(4) { top: 30%; left: 15%!important;}
	.range-tick:nth-of-type(5) { top: 10%; left: 15%!important;}
	.range-tick:nth-of-type(6) { top: 24%; left: 15%!important; display: none!important;}
	.range-tick:nth-of-type(7) { top: 10%; left: 15%!important; display: none!important;}
	
	.range-slider-custom {
		-webkit-appearance: none;
		appearance: none;
		position: absolute;
		top: 50%;
		left: 22.5%;
		width: 500px;
		height: 62px;
		background: transparent;
		margin: 0;
		z-index: 3;
		cursor: pointer;
		transform: translate(-50%, -50%) rotate(-90deg);
		transform-origin: center center;
	}
	
	.range-slider-custom::-webkit-slider-runnable-track {
		height: 6px;
		background: transparent;
		border: 0;
	}
	
	.range-slider-custom::-moz-range-track {
		height: 6px;
		background: transparent;
		border: 0;
	}
	
	.range-slider-custom::-webkit-slider-thumb {
		-webkit-appearance: none;
		appearance: none;
		width: 62px;
		height: 29px;
		border-radius: 999px;
		background: #eb620f;
		border: 0;
		box-shadow: none;
		margin-top: -28px;
	}
	
	.range-slider-custom::-moz-range-thumb {
		width: 62px;
		height: 29px;
		border-radius: 999px;
		background: #eb620f;
		border: 0;
		box-shadow: none;
	}
	
	.range-slider-custom:focus {
		outline: none;
	}
	
	@supports (-moz-appearance: none) {
		.range-slider-custom {
			left: 16px;
			transform: translate(-50%, -50%) rotate(-90deg);
		}
	
		.range-slider-custom::-moz-range-thumb {
		}
	}
	
}

@media screen and (max-width: 550px) { 
	
	.button-filter {font-size: 16px; padding-left: 10px;
		padding-right: 10px;}
	
	.range-labels span:nth-child(1) {
		left: 45%!important;
	}
	
	.range-labels span:nth-child(2) {
		left: 45%!important;
	}
	
	.range-labels span:nth-child(3) {
		left: 45%!important;
	}
	
	.range-labels span:nth-child(4) {
		left: 45%!important;
	}
	
	.range-labels span:nth-child(5) {
		left: 45%!important;
	}
	
}

@media screen and (max-width: 480px) { 
	
	.range-slider-custom {
		left: 26.5%;
	}
	
}


@media screen and (max-width: 390px) { 
	
	.range-slider-custom {
		left: 29.5%;
	}
	
}
